Bug 595715 - Fix instances of #!/usr/bin/env python in mailman
Summary: Fix instances of #!/usr/bin/env python in mailman
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On: 521888 605171 636825
Blocks: 502912 521940
TreeView+ depends on / blocked
 
Reported: 2010-05-25 12:46 UTC by Daniel Novotny
Modified: 2010-09-23 12:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 521888
Environment:
Last Closed: 2010-05-25 13:18:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Novotny 2010-05-25 12:46:21 UTC
+++ This bug was initially created as a clone of Bug #521888 +++

Escalated to Bugzilla from IssueTracker

--- Additional comment from tao@redhat.com on 2009-09-08 11:42:38 EDT ---

Event posted on 09-08-2009 11:40am EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, mailman in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  

/usr/lib/mailman/Mailman/Post.py in mailman-2.1.9-4.el5
/usr/lib/mailman/Mailman/Archiver/pipermail.py in mailman-2.1.9-4.el5
/usr/lib/mailman/bin/msgfmt.py in mailman-2.1.9-4.el5
/usr/lib/mailman/tests/onebounce.py in mailman-2.1.9-4.el5
/usr/share/doc/mailman-2.1.9/admin/www/reset_pw.py in mailman-2.1.9-4.el5
/usr/share/doc/mailman-2.1.9/contrib/migrate-fhs in mailman-2.1.9-4.el5



This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339867

--- Additional comment from jwest@redhat.com on 2009-10-28 12:51:43 EDT ---

=== GSS Internal ===

Product Management and GSS management have finished reviewing the list of proposed bugs for RHEL5.5. This bug is currently not scheduled to be updated in the 5.5 release, and will be flagged for 5.6 review.  If you have questions/concerns and feel this bug needs to be reviewed as an exception for 5.5, please contact your SEG-TL.

--- Additional comment from pm-rhel@redhat.com on 2009-11-06 14:07:37 EST ---

This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

--- Additional comment from dnovotny@redhat.com on 2010-04-13 11:05:56 EDT ---

Created an attachment (id=406268)
#! lines changed in those files

Comment 1 Daniel Novotny 2010-05-25 13:18:30 UTC
fixed in rawhide: mailman-2.1.13-3.fc14


Note You need to log in before you can comment on or make changes to this bug.